ad_library {

    Util procs for the todo package

    @author Emmanuelle Raffenne
    @creation-date 15-feb-2011

}

namespace eval todo {}

ad_proc -public todo::get_status_text {
    status
} {
    Provide a pretty text for the status code

    @param status Status code
    @return A pretty status text

} {

    switch $status {
        p {
            set status_text [_ todo.Pending]
        }
        c {
            set status_text [_ todo.Complete]
        }  
        x {
            set status_text [_ todo.Canceled]
        }
        default {
            set status_text [_ todo.unknown]
        }
    }
    
    return $status_text
}
